package remotefileupload_test

import (
	"testing"

	"github.com/fiskerinc/cloud-services/pkg/remotefileupload"
	"github.com/fiskerinc/cloud-services/pkg/utils/envtool"

	"github.com/fiskerinc/cloud-services/pkg/testhelper"
)

func TestNewAWSUploaderIntegration(t *testing.T) {
	t.Skip()

	awsBucketName := envtool.GetEnv("AWS_BUCKET_NAME", "fisker-data-test")
	_ = remotefileupload.NewS3Uploader(awsBucketName)
}

func TestAWSUploadIntegration(t *testing.T) {
	t.Skip()

	awsBucketName := envtool.GetEnv("AWS_BUCKET_NAME", "fisker-data-test")
	s := remotefileupload.NewS3Uploader(awsBucketName)

	_, err := s.Upload([]byte("testblock"), remotefileupload.LogPayload{Title: "vin", Value: "TESTVIN123"}, "TESTVIN123", "TESTVERSION123")
	if err != nil {
		t.Errorf(testhelper.TestErrorTemplate, "TestAzureUploadIntegration", "error", err)
		return
	}
}
